#==================================================================
#BIOS Flash reference script V1.4.1
#It is a sample script to demo how to flash BIOS via script command
#Please make your own script depend on your case.
#==================================================================
#Target Platform
#flash tool is afuefix64 (APTIO5)(EFI)

echo -off
:LABEL_CHECK_FILE
if %1 == "" then
    goto LABEL_BIOS_NAME_ERROR
endif
if not exist %1 then
    goto LABEL_BIOS_OR_FLASH_TOOL_ABSENT
endif
if not exist afuefix64.efi then
    goto LABEL_BIOS_OR_FLASH_TOOL_ABSENT
endif
goto LABEL_GO_FLASH
:LABEL_GO_FLASH
echo -on

#DayLight save
DayLightCk_v110.efi -C

#Append your own process here
afuefix64.efi %1 /B /P /N /X 

#For OEM splash logo replace
#afuefix64.efi %1 /B /P /N /X /L 

echo -off
pause
goto LABEL_DONE
:LABEL_BIOS_NAME_ERROR
echo "Please input BIOS_File_Name !"
goto LABEL_DONE
:LABEL_BIOS_OR_FLASH_TOOL_ABSENT
echo "Please makesure all afuefix64.efi and bios file : %1 are existed in this folder."
:LABEL_DONE
echo "Usage: afuall.nsh BIOS.bin"
